#include <windows.h>
#include <dos.h>
#include <stdio.h>

// James K. Lawless
// 2414 4th Avenue
// Council Bluffs, IA 51501
// 74217.531@Compuserve.com
//
// Simple program to display flaw in MessageBox()

long FAR PASCAL WndProc (HWND, WORD, WORD, LONG) ;

HWND      _hMainWnd=0;
HINSTANCE _hInst=0;


int PASCAL WinMain (HANDLE hInstance, HANDLE hPrevInstance,
                    LPSTR lpszCmdParam, int nCmdShow)
{
   static char szAppName[] = "MessageBox() Test" ;
   WNDCLASS    wndclass;
   HWND        hWnd;
   MSG         msg ;

   if(!hPrevInstance) {
      wndclass.style         = CS_HREDRAW | CS_VREDRAW ;
      wndclass.lpfnWndProc   = WndProc ;
      wndclass.cbClsExtra    = 0 ;
      wndclass.cbWndExtra    = 0 ;
      wndclass.hInstance     = hInstance ;
      wndclass.hIcon         = LoadIcon (NULL, IDI_APPLICATION) ;
      wndclass.hCursor       = LoadCursor (NULL, IDC_ARROW) ;
      wndclass.hbrBackground = GetStockObject (WHITE_BRUSH) ;
      wndclass.lpszMenuName  = NULL ;
      wndclass.lpszClassName = szAppName ;

      RegisterClass (&wndclass) ;
   }
   hWnd = CreateWindow (szAppName,           // window class name
          "MessageBox() Test",               // window caption
          WS_OVERLAPPEDWINDOW,               // window style
          CW_USEDEFAULT,                     // initial x position
          CW_USEDEFAULT,                     // initial y position
          CW_USEDEFAULT,                     // initial x size
          CW_USEDEFAULT,                     // initial y size
          NULL,                              // parent window handle
          NULL,                              // window menu handle
          hInstance,                         // program instance handle
          NULL) ;                            // creation parameters

   _hInst=hInstance;

   ShowWindow(hWnd, nCmdShow) ;
   UpdateWindow(hWnd);

   MessageBox(NULL,"SysModal and\r IconQuestion",
      "Msg",MB_ICONQUESTION|MB_OK|MB_SYSTEMMODAL);

   MessageBox(NULL,"SysModal and\r IconStop",
      "Msg",MB_ICONSTOP|MB_OK|MB_SYSTEMMODAL);

   MessageBox(NULL,"SysModal and\r IconExclamation",
      "Msg",MB_ICONEXCLAMATION|MB_OK|MB_SYSTEMMODAL);

   return msg.wParam ;
}


long FAR PASCAL WndProc (HWND hWnd, WORD message, WORD wParam, LONG lParam)
{
   return DefWindowProc(hWnd, message, wParam, lParam) ;
}
